# SPEC file for cryptsetup utility: setup crypto disks using
# /dev/mapper interface in 2.6.x kernels

Name: cryptsetup
Version: 0.1
Release: alt1

Summary: utility to setup a encrypted disks for Linux kernel 2.6
Summary(ru_RU.KOI8-R):       Linux 2.6

License: GPL
Group: System/Kernel and hardware
URL: http://www.saout.de/misc/dm-crypt/

Packager: Nikolay A. Fetisov <naf@altlinux.ru>

Source0: %name-%version.tar.bz2
Source1: %name.README.koi8-r

AutoReqProv: yes
Requires: cryptplug, libdevmapper
BuildPreReq: libgcrypt-devel, libgpg-error-devel, libdevmapper-devel
BuildPreReq: autoconf >= 2.5, libpopt-devel

%description
cryptsetup is an utility to setup a encrypted disks based on 
dm-crypt module for 2.6 kernel.  dm-crypt uses a device-mapper
kernel infrastructure and the new Linux 2.6 cryptoapi to 
provides transparent encryption of block devices. The user can 
basically specify one of the symmetric ciphers, a key (of any 
allowed size), and then he can create a new block device in 
/dev/mapper. Writes to this device will be encrypted and reads 
decrypted. You can mount your filesystem on it as usual. But 
without the key you can't access your data.

cryptsetup does basically the same as cryptoloop for 2.4.x 
kernels only that it's a much cleaner code and better suits 
the need of a block device and has a more flexible 
configuration interface. The on-disk format is also compatible.

%description -l ru_RU.KOI8-R
cryptsetup -    , 
    dm-crypt  Linux 2.6. 
dm-crypt   device-mapper   
cryptoapi  Linux 2.6    
  .   
    ,  (
 )      
/dev/mapper.        
,   - . 
        
.          
.

cryptsetup    ,   cryptoloop 
 2.4.x,      , 
       
   .     
   cryptoloop. 


%prep
%setup
%__cp %SOURCE1 .

%build
%__autoconf
%configure
%make

%install
%makeinstall
%find_lang %name
%__mkdir -p $RPM_BUILD_ROOT/%_sbindir
%__mv $RPM_BUILD_ROOT/%_bindir/%name $RPM_BUILD_ROOT/%_sbindir/

%files -f %name.lang
%doc ChangeLog AUTHORS %name.README.koi8-r
## NEWS README - empty files 
%_sbindir/%name

%changelog
* Wed Feb 09 2005 Nikolay A. Fetisov <naf@altlinux.ru> 0.1-alt1
- Initial build for ALT Linux
- Imporving description, adding usage instruction
* Sat Jan 29 2005 Nikolay A. Fetisov <naf@altlinux.ru> 0.1-alt0
- initial build

